Skip to main content
GET
/
vector_stores
/
{vector_store_id}
/
files
/
{file_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "vector_store.file",
  "usage_bytes": 123,
  "created_at": 123,
  "vector_store_id": "<string>",
  "status": "in_progress",
  "last_error": {
    "code": "server_error",
    "message": "<string>"
  },
  "attributes": {}
}

Authorizations

api-key
string
header
required

Path Parameters

vector_store_id
string
required

The ID of the vector store that the file belongs to.

file_id
string
required

The ID of the file being retrieved.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Response

The request has succeeded.

A list of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always vector_store.file.

Available options:
vector_store.file
usage_bytes
integer<int32>
required

The total vector store usage in bytes. Note that this may be different from the original file size.

created_at
integer<unixtime>
required

The Unix timestamp (in seconds) for when the vector store file was created.

vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.

Available options:
in_progress,
completed,
cancelled,
failed
last_error
object
required

The last error associated with this vector store file. Will be null if there are no errors.

chunking_strategy
object

The strategy used to chunk the file.

attributes
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.